scala.reflect.api.Trees

# ImportSelector

#### abstract type ImportSelector >: Null <: Universe.ImportSelectorApi

Import selector (not a tree, but a component of the `Import` tree)

Representation of an imported name its optional rename and their optional positions

Eliminated by typecheck.

Source
  Trees.scala

Linear Supertypes
Universe.ImportSelectorApi, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ImportSelector
2. ImportSelectorApi
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def name: Universe.Name

   The imported name.

   The imported name.

   Definition Classes
     ImportSelectorApi

2. #### abstract def namePos: Int

   Offset of the position of the importing part of the selector in the source file.

   Offset of the position of the importing part of the selector in the source file. Is equal to -1 is the position is unknown.

   Definition Classes
     ImportSelectorApi

3. #### abstract def rename: Universe.Name

   The name the import is renamed to.

   The name the import is renamed to. Is equal to `name` if it's not a renaming import.

   Definition Classes
     ImportSelectorApi

4. #### abstract def renamePos: Int

   Offset of the position of the renaming part of the selector in the source file.

   Offset of the position of the renaming part of the selector in the source file. Is equal to -1 is the position is unknown.

   Definition Classes
     ImportSelectorApi

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Universe.ImportSelectorApi

### Inherited from AnyRef

### Inherited from Any

### Ungrouped